CREATE OR REPLACE FORCE VIEW V_DBIRT
(
   TBIRT,
   DBIRT,
   NOMER
)
AS
     SELECT TO_DATE ('31.12.1899', 'DD.MM.YYYY') + SUBSTR (TIN, 1, 5) AS TBIRT,
            TO_DATE (DBIRT),
            NOMER
       FROM F_Z_FILE
      WHERE     SUBSTR (TIN, 1, 5) <> '00000'
            AND SUBSTR (TIN, 1, 5) <> '99999'
            AND ISDATEVALID (DBIRT, 'DD.MM.YYYY') = 1
            AND (    ERR NOT LIKE '%220;%'
                 AND WARRING NOT LIKE '%200;%'
                 AND ERR NOT LIKE '%230;%')
   ORDER BY NOMER;